<?php

namespace App\Repository;

use App\Entity\StockEmoji;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<StockEmoji>
 *
 * @method StockEmoji|null find($id, $lockMode = null, $lockVersion = null)
 * @method StockEmoji|null findOneBy(array $criteria, array $orderBy = null)
 * @method StockEmoji[]    findAll()
 * @method StockEmoji[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class StockEmojiRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, StockEmoji::class);
    }

//    /**
//     * @return StockEmoji[] Returns an array of StockEmoji objects
//     */
//    public function findByExampleField($value): array
//    {
//        return $this->createQueryBuilder('s')
//            ->andWhere('s.exampleField = :val')
//            ->setParameter('val', $value)
//            ->orderBy('s.id', 'ASC')
//            ->setMaxResults(10)
//            ->getQuery()
//            ->getResult()
//        ;
//    }

//    public function findOneBySomeField($value): ?StockEmoji
//    {
//        return $this->createQueryBuilder('s')
//            ->andWhere('s.exampleField = :val')
//            ->setParameter('val', $value)
//            ->getQuery()
//            ->getOneOrNullResult()
//        ;
//    }
}
